| AAX SDK 2.6.1 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions
AAX_VFeatureInfo Class Reference

`#include <AAX_VFeatureInfo.h>`

Inheritance diagram for AAX_VFeatureInfo:
[legend]
Collaboration diagram for AAX_VFeatureInfo:
[legend]

## Description

Concrete implementation of AAX_IFeatureInfo, which provides a version-controlled interface to host feature information

## Public Member Functions
| AAX_VFeatureInfo (IACFUnknown *pUnknown, const AAX_Feature_UID &inFeatureID)
| ~AAX_VFeatureInfo () AAX_OVERRIDE
AAX_Result | SupportLevel (AAX_ESupportLevel &oSupportLevel) const AAX_OVERRIDE
const AAX_IPropertyMap * | AcquireProperties () const AAX_OVERRIDE
const AAX_Feature_UID & | ID () const AAX_OVERRIDE
Public Member Functions inherited from AAX_IFeatureInfo
virtual | ~AAX_IFeatureInfo ()
virtual AAX_Result | SupportLevel (AAX_ESupportLevel &oSupportLevel) const =0
virtual const AAX_IPropertyMap * | AcquireProperties () const =0
virtual const AAX_Feature_UID & | ID () const =0

## Constructor & Destructor Documentation

## ◆ AAX_VFeatureInfo()

AAX_VFeatureInfo::AAX_VFeatureInfo | ( | IACFUnknown * | pUnknown,
|  | const AAX_Feature_UID & | inFeatureID
| ) |  |
| explicit

## ◆ ~AAX_VFeatureInfo()

AAX_VFeatureInfo::~AAX_VFeatureInfo | ( |  | ) |

## Member Function Documentation

## ◆ SupportLevel()

AAX_Result AAX_VFeatureInfo::SupportLevel | ( | AAX_ESupportLevel & | oSupportLevel | ) | const
| virtual

Determine the level of support for this feature by the host

Note
  The host will not provide an underlying AAX_IACFFeatureInfo interface for features which it does not recognize at all, resulting in a AAX_ERROR_NULL_OBJECT error code

Implements AAX_IFeatureInfo.

## ◆ AcquireProperties()

const AAX_IPropertyMap * AAX_VFeatureInfo::AcquireProperties | ( |  | ) | const
| virtual

Additional properties providing details of the feature support

See the feature's UID for documentation of which features provide additional properties

Ownership of the returned object is passed to the caller; the caller is responsible for destroying the object, e.g. by capturing the returned object in a smart pointer.

// AAX_IFeatureInfo* featureInfo
std::unique_ptr<const AAX_IPropertyMap> featurePropertiesPtr(featureInfo->AcquireProperties();

Returns
  An AAX_IPropertyMap interface with access to the host's properties for this feature.
  `NULL` if the desired feature was not found or if an error occurred

Note
  May return an AAX_IPropertyMap object with limited method support, which would return an error such as AAX_ERROR_NULL_OBJECT or AAX_ERROR_UNIMPLEMENTED to interface calls.

Implements AAX_IFeatureInfo.

## ◆ ID()

const AAX_Feature_UID & AAX_VFeatureInfo::ID | ( |  | ) | const
| virtual

Returns the ID of the feature which this object represents

Implements AAX_IFeatureInfo.

The documentation for this class was generated from the following file:

- AAX_VFeatureInfo.h